Summary: Athlon Powersaving bits enabler
Name: athcool
Version: 0.3.0
Release: 1ok
Copyright: GPL
Group: Applications/System
URL: http://members.jcom.home.ne.jp/jacobi/linux/softwares.html
Source: athcool-%{version}.tar.gz
BuildPrereq: pciutils-devel
Buildroot: /var/tmp/%{name}-root
ExclusiveArch: %{ix86}

%description
athcool is a small utility, enabling/disabling Powersaving mode
for AMD Athlon/Duron processors.

Since enabling Powersaving mode, you can save power consumption, 
lower CPU temprature when CPU is idle.

Powersaving works if your kernel support ACPI (APM not work),
because athcool only set/unset "Disconnect enable when STPGNT detected"
bits in the Northbridge of Chipset.
To really save power, someone has to send the STPGNT signal when idle.
This is done by the ACPI subsystem when C2 state enterd.

!!!WARNING!!!
Depending your motherboard and/or hardware components, 
enabling Athlon powersaving mode sometimes causes that

 * noisy sound playback
 * slowdown harddisk performance
 * system hangup or instable

If you met those problems, you should not use athcool.
Please use athcool at your own risk.

%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT
#make install prefix=$RPM_BUILD_ROOT%{_prefix}
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README COPYING ChangeLog
%{_sbindir}/athcool

%changelog
* Sat Jun 21 2003 Osamu Kayasono <jacobi@jcom.home.ne.jp> 0.3.0
 - Released as 0.3.0
 - add SiS 748 support (not tested)
 - display values before and after changing the register
 - merge Mr. Nakata Patch
	( http://www.nakata-jp.org/ [ written in Japanese ])
   - fix bug which may fail in recognition of a chipset
   - clean up whole codes for improving readability and removing hidden bugs

* Sat Mar  1 2003 Osamu Kayasono <jacobi@jcom.home.ne.jp> 0.2.0
 - Released as 0.2.0
 - add listing supported chipsets
 - add nVIDIA nForce/nForce2 support (not tested)
 - separate Chipset ID and Register configuration 
   (because some chipsets has different ID, but same config)

* Sat Oct 12 2002 Osamu Kayasono <jacobi@jcom.home.ne.jp> 0.1.1
 - Released as 0.1.1
 - fix a bug (cannot disable powersaving)


